DMXRemoveInput(3)

NAME
DMXRemoveInput - detach an input

SYNOPSIS
#include <X11/extensions/dmxext.h>

Bool DMXRemoveInput(Display *dpy,
                    int id);

DESCRIPTION
DMXRemoveInput() detaches the input device with id, and all associated inputs (e.g., if the id is a backend mouse, and a keyboard is also attached to the backend, then both devices will be detached).

RETURN VALUE
DMXRemoveInput() returns True unless there is a protocol error.

DMXRemoveInput() can generate BadValue (if the id is not valid) and BadAccess (if the input has already been detached).

SEE ALSO
DMXAddInput(3), DMX(3), Xdmx(1)